Michiva
Questions to Michiva with the account's figures.
Ask Michiva
POST
https://api.drometra.com/v1/michiva/questionsRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Body
- textmandatorystring
Response · 200
- questionenum: week | month | fuel | where | outside | speed | … o nullalways
- vehicleIdstring · uuid o nullalways
- datestring o nullalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X POST "https://api.drometra.com/v1/michiva/questions" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"text": "…"
}'{
"question": "week",
"vehicleId": "0b6f8c2e-4a1d-4e5b-9c3f-2d7e8a9b1c4d",
"date": "…"
}Record an asked question
POST
https://api.drometra.com/v1/michiva/askedRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Body
- questionmandatoryenum: week | month | fuel | where | outside | speed | …
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X POST "https://api.drometra.com/v1/michiva/asked" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Content-Type: application/json" \ -d '{
"question": "…"
}'(sin cuerpo)Get the most asked questions
GET
https://api.drometra.com/v1/michiva/popularRequires the access token of a person in your company.
Headers
- x-tenant-idmandatorystring · uuid
- Your company's identifier. The server checks that you are still an active member of it.
Response · 200
- array de objectalways
It can respond with error 400, 401, 403, 404, 409, 410, 413, 415, 422, 429, 503. The error body is explained in Concepts.
curl -X GET "https://api.drometra.com/v1/michiva/popular" \
-H "Authorization: Bearer $DROMETRA _ TOKEN"\
-H "x-tenant-id: $DROMETRA_TENANT" \
-H "Accept: application / json"{
"items": [
{
"question": "week",
"source": "tenant"
}
]
}